GeneralDataRegion (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi
Interface GeneralDataRegion

All Superinterfaces:
  Region

All Known Subinterfaces:
  QueryResultsRegion, TimestampsRegion

All Known Implementing Classes:
  BaseGeneralDataRegion, EhcacheQueryResultsRegion, EhcacheTimestampsRegion, QueryResultsRegionImpl, TimestampsRegionImpl

    public interface GeneralDataRegion

extends Region

Contract for general-purpose cache regions.

Method Summary
`void` | `evict(Object key)` Evict an item from the cache immediately (without regard for transaction isolation).
`void` | `evictAll()` Evict all contents of this particular cache region (without regard for transaction isolation).
`Object` | `get(Object key)` Get an item from the cache.
`void` | `put(Object key, Object value)` Put an item into the cache.

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Method Detail

### get

    Object get(Object key)
               throws CacheException

  Get an item from the cache.

  Parameters:
    `key` - The key of the item to be retrieved.
  Returns:
    the cached object or `null`
  Throws:
    `CacheException` - Indicates a problem accessing the item or region.

### put

    void put(Object key,
             Object value)
             throws CacheException

  Put an item into the cache.

  Parameters:
    `key` - The key under which to cache the item.
    `value` - The item to cache.
  Throws:
    `CacheException` - Indicates a problem accessing the region.

### evict

    void evict(Object key)
               throws CacheException

  Evict an item from the cache immediately (without regard for transaction isolation).

  Parameters:
    `key` - The key of the item to remove
  Throws:
    `CacheException` - Indicates a problem accessing the item or region.

### evictAll

    void evictAll()
                  throws CacheException

  Evict all contents of this particular cache region (without regard for transaction isolation).

  Throws:
    `CacheException` - Indicates problem accessing the region.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.